track.subtitle.get
Lyrics & Catalog
track.subtitle.get
Get the subtitle for a track.
GET
track.subtitle.get
At least one of the query parameters must be indicated: commontrack_id, track_id, or track_isrc.
Make sure to:
- fulfill the country restrictions you receive for every copyrighted content;
- apply the tracking method of your choice.
Authorizations
Query Parameters
The Musixmatch commontrack ID.
Example:
"10074988"
The Musixmatch track ID.
Example:
"274345545"
A valid ISRC identifier.
Example:
"USAT21102141"
A Spotify ID.
Example:
"5TfzrLmEHCDULQwnNbkSTZ"
An Apple Music ID.
Example:
"1721054885"
The format of the subtitle (lrc, dfxp, mxm). Default to 'lrc', use 'mxm' for getting the subtitle as a json string.
Example:
"lrc"
The desired length of the subtitle (seconds).
Example:
"188"
The maximum deviation allowed from the f_subtitle_length (seconds).
Example:
"2"
Response
200 - application/json
200 OK / 401 Unauthorized / 404 Not Found